com.tibco.tibems.tibemsd.security

## Enum ConnectionInfoCallback.Type

- java.lang.Object
- - java.lang.Enum<ConnectionInfoCallback.Type>
  - - com.tibco.tibems.tibemsd.security.ConnectionInfoCallback.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionInfoCallback.Type>
  Enclosing class:
    ConnectionInfoCallback

      public static enum ConnectionInfoCallback.Type
      extends java.lang.Enum<ConnectionInfoCallback.Type>

  Enumeration of possible connection types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN` A connection from the tibemsadmin application, or from the EMS Admin API
    `CLIENT` A connection from a Java, C or .Net EMS client.
    `FT` A connection from another tibemsd, connecting as part of a fault tolerant pair.
    `ROUTE` A connection from another tibemsd to set up a route.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionInfoCallback.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionInfoCallback.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final ConnectionInfoCallback.Type CLIENT

      A connection from a Java, C or .Net EMS client.

    - #### ADMIN

          public static final ConnectionInfoCallback.Type ADMIN

      A connection from the tibemsadmin application, or from the EMS Admin API

    - #### FT

          public static final ConnectionInfoCallback.Type FT

      A connection from another tibemsd, connecting as part of a fault tolerant pair.

    - #### ROUTE

          public static final ConnectionInfoCallback.Type ROUTE

      A connection from another tibemsd to set up a route.

  - ### Method Detail

    - #### values

          public static ConnectionInfoCallback.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionInfoCallback.Type c : ConnectionInfoCallback.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionInfoCallback.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © Cloud Software Group, Inc. All rights reserved